Page MenuHomePhabricator

tox-docker fails to install MySQL-python: EnvironmentError: mysql_config not found
Closed, ResolvedPublic

Description

wikimedia/fundraising/tools depends on MySQL-python. Checking https://gerrit.wikimedia.org/r/#/c/81470/ , pip fails to install due to:

EnvironmentError: mysql_config not found

We need some libmysql* package

Another example is labs/tools/heritage

Event Timeline

hashar created this task.Oct 31 2017, 2:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2017, 2:01 PM

Change 387576 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] wikimedia/fundraising/tools requires mysql_config

https://gerrit.wikimedia.org/r/387576

Change 387576 merged by jenkins-bot:
[integration/config@master] wikimedia/fundraising/tools requires mysql_config

https://gerrit.wikimedia.org/r/387576

Change 387728 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dockerfile: add libmysqlclient-dev to tox

https://gerrit.wikimedia.org/r/387728

hashar updated the task description. (Show Details)Nov 1 2017, 4:23 PM

Mentioned in SAL (#wikimedia-releng) [2017-11-01T16:31:05Z] <hashar> docker push wmfreleng/tox:v2017.11.01.16.28 | add libmysqlclient-dev | T179392

Change 387728 merged by jenkins-bot:
[integration/config@master] dockerfile: add libmysqlclient-dev to tox

https://gerrit.wikimedia.org/r/387728

hashar claimed this task.Nov 3 2017, 2:26 PM
hashar closed this task as Resolved.Nov 3 2017, 2:28 PM

Fixed by adding libmysqlclient-dev https://gerrit.wikimedia.org/r/#/c/387728/